Summary: Python bindings for Qt.
Name: PyQt
Version: 3.2.4
Release: 1
Copyright: Riverbank Computing Limited <info@riverbankcomputing.co.uk>
Packager: Phil Thompson <phil@riverbankcomputing.co.uk>
Group: Development/Languages/Python
Source: http://www.riverbankcomputing.co.uk/download/pyqt/%{name}-%{version}.tar.gz
URL: http://www.riverbankcomputing.co.uk/pyqt/
BuildRoot: /tmp/%{name}-%{version}-root
Requires: sip = 3.2.4
Prefix: /usr

%description
Python bindings for the Qt C++ class library.  Also includes a PyQt backend
code generator for Qt Designer.

%package devel
Summary: SIP specification files for Qt.
Group: Development/Languages/Python

%description devel
The SIP specification files for the Qt class library.

%prep
%setup

%build
LDFLAGS="-L$RPM_BUILD_ROOT%{prefix}/lib/python2.2/site-packages" \
./configure --prefix=%{prefix}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install install-sip install-doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) %{prefix}/bin/eric
%attr(-,root,root) %{prefix}/bin/pyuic
%attr(-,root,root) %{prefix}/doc/%{name}
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/eric
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/libqtcmodule-3.2.4.so
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/libqtcmodule.la
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/libqtcmodule.so
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/qt.py
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/qt.pyc
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/libqtcanvascmodule-3.2.4.so
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/libqtcanvascmodule.la
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/libqtcanvascmodule.so
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/qtcanvas.py
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/qtcanvas.pyc
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/libqtglcmodule-3.2.4.so
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/libqtglcmodule.la
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/libqtglcmodule.so
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/qtgl.py
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/qtgl.pyc
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/libqtnetworkcmodule-3.2.4.so
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/libqtnetworkcmodule.la
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/libqtnetworkcmodule.so
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/qtnetwork.py
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/qtnetwork.pyc
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/libqtsqlcmodule-3.2.4.so
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/libqtsqlcmodule.la
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/libqtsqlcmodule.so
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/qtsql.py
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/qtsql.pyc
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/libqttablecmodule-3.2.4.so
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/libqttablecmodule.la
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/libqttablecmodule.so
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/qttable.py
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/qttable.pyc
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/libqtxmlcmodule-3.2.4.so
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/libqtxmlcmodule.la
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/libqtxmlcmodule.so
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/qtxml.py
%attr(-,root,root) %{prefix}/lib/python2.2/site-packages/qtxml.pyc

%files devel
%attr(-,root,root) %{prefix}/share/sip/qt
